<?php	

// Exit if direct access.
if (!defined ('ABSPATH')) exit;

// Require Custom Font Class
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-1.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-2.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-3.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-4.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-5.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-6.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-7.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-8.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-9.php' );
require ( FONT_FARSI_CLASS_DIR . 'class.custom-font/class.custom-font-10.php' );

// END: Require Custom Font Class

class Class_Custom_Font_Panel 
{

	protected $menu_slug = "font-farsi-custom-font";
	

	public function custom_font_panel_cb(){
	?>

	<div class="wrap">
	<div class="wrap-1">
	<div id="plugin-title">
	<?php echo esc_html__("Font Farsi Version", 'font-farsi'); ?> <?php echo '<strong>'.  FONT_FARSI_VERSION . '</strong>'; ?>
	<hr />
	</div>
	<div id="option-wrap-xx">
	<?php
	// Select Font Function
	$this->custom_font();
	?>
	</div>
	</div>

	<?php
	}

	protected function custom_font() {
	?>
	<form class="font-farsi-form" method="post" action="options.php"> 

	   <?php settings_errors();?>
	   <?php  do_settings_sections( $this->menu_slug);?>
	   <?php  settings_fields( 'custom_font_settings_group' );?>
	   <?php submit_button(); ?>

	</form>
	<?php
	}

function font_farsi_settings_section_custom_font_1_cb ()
{

	$view_custom_font_1 = new _CLASS_CUSTOM_FONT_N1();
	$view_custom_font_1-> custom_font_N1 ();

}

function font_farsi_settings_section_custom_font_2_cb ()
{

	$view_custom_font_2 = new _CLASS_CUSTOM_FONT_N2();
	$view_custom_font_2-> custom_font_N2 ();

}

function font_farsi_settings_section_custom_font_3_cb()
{

	$view_custom_font_3 = new _CLASS_CUSTOM_FONT_N3();
	$view_custom_font_3-> custom_font_N3 ();

}

function font_farsi_settings_section_custom_font_4_cb()
{

	$view_custom_font_4 = new _CLASS_CUSTOM_FONT_N4();
	$view_custom_font_4-> custom_font_N4 ();

}

function font_farsi_settings_section_custom_font_5_cb()
{

	$view_custom_font_5 = new _CLASS_CUSTOM_FONT_N5();
	$view_custom_font_5-> custom_font_N5 ();

}

function font_farsi_settings_section_custom_font_6_cb()
{

	$view_custom_font_6 = new _CLASS_CUSTOM_FONT_N6();
	$view_custom_font_6-> custom_font_N6 ();

}

function font_farsi_settings_section_custom_font_7_cb()
{

	$view_custom_font_7 = new _CLASS_CUSTOM_FONT_N7();
	$view_custom_font_7-> custom_font_N7 ();

}

function font_farsi_settings_section_custom_font_8_cb()
{

	$view_custom_font_8 = new _CLASS_CUSTOM_FONT_N8();
	$view_custom_font_8-> custom_font_N8 ();

}

function font_farsi_settings_section_custom_font_9_cb()
{

	$view_custom_font_9 = new _CLASS_CUSTOM_FONT_N9();
	$view_custom_font_9-> custom_font_N9 ();

}

function font_farsi_settings_section_custom_font_10_cb()
{

	$view_custom_font_10 = new _CLASS_CUSTOM_FONT_N10();
	$view_custom_font_10-> custom_font_N10 ();

}




// END CLASS
}

?>